﻿using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Shared.Styles;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KB9481_UltraChart_DataPointMarker_WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraChart1.ChartType = Infragistics.UltraChart.Shared.Styles.ChartType.LineChart;

            LineAppearance lineApp1 = new LineAppearance();
            lineApp1.IconAppearance.Icon = SymbolIcon.X;
            ultraChart1.LineChart.LineAppearances.Add(lineApp1);

            ultraChart1.DataSource = GetLineData();
            ultraChart1.DataBind();

            ultraChart1.Axis.Y.RangeType = AxisRangeType.Custom;
            ultraChart1.Axis.Y.RangeMin = 0;
            ultraChart1.Axis.Y.RangeMax = 20;
        }

        private DataTable GetLineData()
        {
            DataTable mydata = new DataTable();
            // 列と列名を定義します。
            mydata.Columns.Add("Series Labels", typeof(string));
            mydata.Columns.Add("Column A", typeof(int));
            mydata.Columns.Add("Column B", typeof(int));
            mydata.Columns.Add("Column C", typeof(int));
            mydata.Columns.Add("Column D", typeof(int));
            // データの行を追加します。
            mydata.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });
            mydata.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
            mydata.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
            mydata.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });
            return mydata;
        }

    }
}
